import * as React from 'react';
import * as PropTypes from 'prop-types';
import { interfaces } from 'inversify';
import { ReactContextKey } from './internal/utils';
interface ProviderProps {
    container: interfaces.Container;
    standalone?: boolean;
}
declare class Provider extends React.Component<ProviderProps, {}> {
    static contextTypes: {
        [ReactContextKey]: PropTypes.Requireable<any>;
    };
    static childContextTypes: {
        [ReactContextKey]: PropTypes.Validator<any>;
    };
    static defaultProps: {
        standalone: boolean;
    };
    constructor(props: ProviderProps, context: any);
    getChildContext(): {
        [ReactContextKey]: interfaces.Container;
    };
    componentWillReceiveProps(nextProps: ProviderProps): void;
    render(): React.ReactElement<any>;
}
export { ProviderProps, Provider };
export default Provider;
